FROM python:3.12-slim

ENV PYTHONDONTWRITEBYTECODE=1
ENV PYTHONUNBUFFERED=1

WORKDIR /project

COPY app /project/app
RUN pip install --no-cache-dir -r /project/app/requirements.txt

WORKDIR /project/app
CMD ["python", "-m", "src.main"]
